const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const quiz_answer_choices = sequelize.define(
    'quiz_answer_choices',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

choice_text: {
        type: DataTypes.TEXT,
      
      

      },

is_correct: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

order_index: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  quiz_answer_choices.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity







































//end loop



    db.quiz_answer_choices.belongsTo(db.quiz_questions, {
      as: 'quiz_question',
      foreignKey: {
        name: 'quiz_questionId',
      },
      constraints: false,
    });




    db.quiz_answer_choices.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.quiz_answer_choices.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return quiz_answer_choices;
};


